Subject: Puget Sound Deal on October 17
From: [email-masked]
To: [email-masked], [email-masked], [email-masked]
Cc: [email-masked]
Date: Thu, 21 Dec 2000 04:07:00 -0800 (PST)

Guys,

Puget is claiming that we did a real-time deal with their trader, Lisa, on 
October 17 HE 20.  The terms are 20MW purchased from Puget at a rate of 
$115.  We cannot find anything in the Inc or Services sheet, and nothing is 
in EnPower.   Please look in your trade books for this deal to confirm.  I 
will get more information from Puget if I can, but so far, that's all I know.

Thanks,

Caroline

PS  Please respond to Virginia on this, whether you did the deal or not.